Bug 672669 - [RFE] Kickstart Scripts should be version controlled and shareable across profiles
[RFE] Kickstart Scripts should be version controlled and shareable across pr...
Status: NEW
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2011-01-25 14:56 EST by Roy Keene
Modified: 2011-11-11 06:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy Keene 2011-01-25 14:56:42 EST
Description of problem:
Currently scripts are tied to a particular kickstart profile, and if you want to use a script from one profile in another you have to manually copy and paste the script.  It would be better if there were scripts like Kickstart Snippets that could be assigned to a profile and version controlled like configuration files.
Comment 1 Justin Sherrill 2011-01-25 15:07:12 EST
Hey Roy,

While this isn't exactly what you want, you should be able to use a snippet as part of a script to version control and share the contents of the scripts. 

Should get you most of what you're asking.

-Justin
Comment 2 Miroslav Suchý 2011-04-11 03:33:49 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 3 Miroslav Suchý 2011-04-11 03:37:18 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Jan Pazdziora 2011-07-20 07:52:17 EDT
Aligning under space16.

Note You need to log in before you can comment on or make changes to this bug.